/// <reference types="react" />
export interface SideMenuItem {
    tooltip?: string;
    key: string;
    name?: string;
    icon?: React.ReactNode;
    path?: string;
    color?: string;
    onClick?: () => void;
}
export interface SideBarLayoutProps {
    marginTop?: number;
    marginBottom?: number;
    sideBackgroundColor?: string;
    sideWidth?: number;
    logo?: string;
    menus: SideMenuItem[];
    actions?: SideMenuItem[];
    onLogoClick?: () => void;
    onItemClick?: (item: SideMenuItem) => void;
    memuColor?: string;
}
export declare function SideBarLayout({ sideWidth, marginTop, marginBottom, menus, actions, logo, onLogoClick, onItemClick, sideBackgroundColor, memuColor, }: SideBarLayoutProps): import("react").JSX.Element;
